package service

import (
	"reflect"

	oa "git.loafle.net/overflow/annotation-go"
	od "git.loafle.net/overflow/di-go"
)

func init() {
	od.RegisterType(DiscoveryServiceType)
}

var DiscoveryServiceType = reflect.TypeOf((*DiscoveryService)(nil))

type DiscoveryService struct {
	oa.TypeAnnotation `annotation:"@Injectable('name': 'DiscoveryService') @Service()"`
}

func (s *DiscoveryService) StartDiscover() error {
	return nil
}

func (s *DiscoveryService) StopDiscover() error {
	return nil
}
